Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.log4j.config
Class PropertyGetter

    java.lang.Object
      org.apache.log4j.config.PropertyGetter

    public class PropertyGetter

extends java.lang.Object

Used for inferring configuration information for a log4j's component.

Author:
  Anders Kristensen

Nested Class Summary
`static interface` | `PropertyGetter.PropertyCallback`

Field Summary
`protected static java.lang.Object[]` | `NULL_ARG`
`protected java.lang.Object` | `obj`
`protected java.beans.PropertyDescriptor[]` | `props`

Constructor Summary
`PropertyGetter(java.lang.Object obj)` Create a new PropertyGetter for the specified Object.

Method Summary
`static void` | `getProperties(java.lang.Object obj, PropertyGetter.PropertyCallback callback, java.lang.String prefix)`
`void` | `getProperties(PropertyGetter.PropertyCallback callback, java.lang.String prefix)`
`protected boolean` | `isHandledType(java.lang.Class type)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NULL_ARG

    protected static final java.lang.Object[] NULL_ARG

### obj

    protected java.lang.Object obj

### props

    protected java.beans.PropertyDescriptor[] props

Constructor Detail

### PropertyGetter

    public PropertyGetter(java.lang.Object obj)
                   throws java.beans.IntrospectionException

  Create a new PropertyGetter for the specified Object. This is done in prepartion for invoking `getProperties(PropertyGetter.PropertyCallback, String)` one or more times.

  Parameters:
    `obj` - the object for which to set properties
  Throws:
    `java.beans.IntrospectionException`

Method Detail

### getProperties

    public static void getProperties(java.lang.Object obj,
                                     PropertyGetter.PropertyCallback callback,
                                     java.lang.String prefix)

### getProperties

    public void getProperties(PropertyGetter.PropertyCallback callback,
                              java.lang.String prefix)

### isHandledType

    protected boolean isHandledType(java.lang.Class type)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2007 Apache Software Foundation. All Rights Reserved.